Bug 7183 - uninitialized variable in smb2 server
uninitialized variable in smb2 server
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: SMB2
3.5.0rc3
Other Linux
: P3 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-25 13:14 UTC by Guenther Deschner
Modified: 2011-05-18 14:33 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2010-02-25 13:14:19 UTC
smbd/smb2_tcon.c: In function 'smbd_smb2_request_process_tcon':
smbd/smb2_tcon.c:50: warning: 'out_tree_id' may be used uninitialized in this function
Comment 1 Jeremy Allison 2010-02-25 13:24:25 UTC
This is irritating, as it can't actually happen if you look at the code path (I don't think :-). However, it does show that we now need to start initializing our auto's on the stack, else gcc is going to make life increasingly annoying for us :-).

Jeremy.
Comment 2 Guenther Deschner 2010-02-25 13:27:07 UTC
ok, if you think this warning is wrong here, please just close again.

I just wanted to point out all the things I was seeing in internal builds, some of them are real problems, some are not. We just should have a look at those things before final ships.

Thanks Jeremy!
Comment 3 Guenther Deschner 2010-05-27 04:53:40 UTC
quick update, in master I get:

smbd/smb2_server.c:52: warning: no previous prototype for ‘smb2_opcode_name’
smbd/smb2_server.c: In function ‘smbd_smb2_first_negprot’:
smbd/smb2_server.c:1902: warning: ‘req’ may be used uninitialized in this function
smbd/smb2_tcon.c: In function ‘smbd_smb2_request_process_tcon’:
smbd/smb2_tcon.c:50: warning: ‘out_tree_id’ may be used uninitialized in this function
smbd/smb2_tcon.c:48: warning: ‘out_capabilities’ may be used uninitialized in this function
smbd/smb2_tcon.c:47: warning: ‘out_share_flags’ may be used uninitialized in this function
smbd/smb2_tcon.c:46: warning: ‘out_share_type’ may be used uninitialized in this function
smbd/smb2_getinfo.c: In function ‘smbd_smb2_request_getinfo_done’:
smbd/smb2_getinfo.c:133: warning: ‘call_status.v’ may be used uninitialized in this function
Comment 4 Karolin Seeger 2010-06-11 04:20:29 UTC
Change component
Comment 5 Guenther Deschner 2011-05-18 14:33:33 UTC
I think they are all resolved by now. Closing...